Bug 227114 - Review Request: saxon-6.5.3-4jpp - Java XSLT processor
Review Request: saxon-6.5.3-4jpp - Java XSLT processor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vivek Lakshmanan
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:57 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-11 18:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jjohnstn: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:57:25 EST
Spec URL: http://people.redhat.com/rafaels/specs/saxon-6.5.3-4jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/saxon-6.5.3-4jpp.src.rpm
Description: The SAXON package is a collection of tools for processing XML documents.
The main components are:
- An XSLT processor, which implements the Version 1.0 XSLT and XPath
  Recommendations from the World Wide Web Consortium, found at
  http://www.w3.org/TR/1999/REC-xslt-19991116 and
  http://www.w3.org/TR/1999/REC-xpath-19991116 with a number of powerful
  extensions. This version of Saxon also includes many of the new features
  defined in the XSLT 1.1 working draft, but for conformance and portability
  reasons these are not available if the stylesheet header specifies
  version="1.0".
- A Java library, which supports a similar processing model to XSL, but allows
  full programming capability, which you need if you want to perform complex
  processing of the data or to access external services such as a relational
  database.
So you can use SAXON with any SAX-compliant XML parser by writing XSLT
stylesheets, by writing Java applications, or by any combination of the two.

A slightly improved version of the AElfred Java XML parser from Microstar.

Manual for saxon.

Javadoc for saxon.

Demonstrations and samples for saxon.

FOP support for saxon.

JDOM support for saxon.

Utility scripts for saxon.
Comment 1 Deepak Bhole 2007-02-14 17:20:02 EST
spec and srpms are here:

http://people.redhat.com/dbhole/fedora/saxon/
Comment 2 Jeff Johnston 2007-02-14 18:41:50 EST
MUST:
X rpmlint on <this package>.srpm gives no output

W: saxon non-standard-group Text Processing/Markup/XML
W: saxon unversioned-explicit-provides jaxp_transform_impl

X - don't put fc7 in changelog entry

X run rpmlint on the binary RPMs

W: saxon non-standard-group Text Processing/Markup/XML
W: saxon incoherent-version-in-changelog 0:6.5.5-1jpp.1.fc7 0:6.5.5-1jpp.1
W: saxon no-documentation
W: saxon dangling-symlink /usr/share/java/jaxp_transform_impl.jar /etc/alternatives
W: saxon symlink-should-be-relative /usr/share/java/jaxp_transform_impl.jar
/etc/alternatives
W: saxon-aelfred non-standard-group Text Processing/Markup/XML
W: saxon-aelfred no-documentation
W: saxon-demo non-standard-group Text Processing/Markup/XML
W: saxon-demo no-documentation
W: saxon-jdom non-standard-group Text Processing/Markup/XML
W: saxon-jdom no-documentation
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/expressions.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/patterns.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/xsl-elements.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/dtdgen.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/changes.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/extensions.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/api-guide.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/samples.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/conditions.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/using-xsl.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/instant.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/conformance.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/index.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/limitations.html
W: saxon-manual wrong-file-end-of-line-encoding
/usr/share/doc/saxon-manual-6.5.5/extensibility.html
W: saxon-scripts non-standard-group Text Processing/Markup/XML

Comment 3 Deepak Bhole 2007-02-14 19:57:39 EST
New spec and srpm are here:

http://people.redhat.com/dbhole/fedora/saxon/

changelog is fixed
line-encoding is fixed
groups are unchanged because they are correct
Comment 4 Jeff Johnston 2007-02-14 20:01:09 EST
Approved.
Comment 5 Vivek Lakshmanan 2007-03-02 19:00:26 EST
New Package CVS Request
=======================
Package Name: saxon
Short Description: Java XSLT processor
Owners: vivekl@redhat.com
Branches: devel
InitialCC: vivekl@redhat.com,dbhole@redhat.com
Comment 6 Matěj Cepl 2007-03-09 17:28:21 EST
Trying to build src.rpm on FC6 and missing

BuildRequire: ant
Comment 7 Vivek Lakshmanan 2007-03-11 18:11:47 EDT
(In reply to comment #6)
> Trying to build src.rpm on FC6 and missing
> 
> BuildRequire: ant
Thanks, added the missing BR. saxon-6.5.5-1jpp.2.fc7 just finished building
under plague and should be in mirrors soon.

Note You need to log in before you can comment on or make changes to this bug.